Delete speaker
1 min
Delete an existing speaker
Delete an existing speaker in an event
DELETE
https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/speakers/{speakerId}
Path Parameters
- {organizationId}NumberrequiredDescription
- {eventId}NumberrequiredDescription
- {speakerId}NumberrequiredDescription
Header Parameters
- Brella-API-Access-TokenStringrequiredDescription
- AcceptstringrequiredDescription
- Content-TypestringrequiredDescription
curl
curl --location -g --request DELETE 'https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/speakers/{speakerId}' \
--header 'Brella-API-Access-Token: String' \
--header 'Accept: application/vnd.brella.v4+json' \
--header 'Content-Type: application/json'200
{
"data": {
"id": "126830",
"type": "speaker",
"attributes": {
"honorific": "Dr",
"first-name": "Jonathan",
"middle-name": "Masters",
"last-name": "Smithsonian",
"job-title": "Chief Technology Officer",
"company-name": "Brella Co.,",
"photo-url": null,
"bio": {
"blocks": [
{
"text": "This is our bio <div>and it supports rich-text</div>",
"type": "unstyled",
"entity_ranges": []
}
]
},
"highlight-position": 1,
"external-id": "ba019290",
"position": 1
},
"relationships": {
"speaker-assignments": {
"data": []
}
}
},
"included": []
}